package me.mrletsplay.simplenio.reader;

import java.io.IOException;
import java.util.function.Supplier;

import me.mrletsplay.simplenio.util.IOConsumer;
import me.mrletsplay.simplenio.util.IORunnable;

public interface Expectation {

	public void orElseRun(IOConsumer<ReaderInstance<?>> run);

	public void orElseRun(IORunnable run);

	public void orElseThrow(Supplier<? extends IOException> exception);

}
